/*
 * DO NOT ALTER OR REMOVE COPYRIGHT NOTICES OR THIS HEADER.
 *
 * The contents of this file are subject to the terms of either the GNU
 * General Public License Version 2 only ("GPL") or the Common
 * Development and Distribution License("CDDL") (collectively, the
 * "License"). You may not use this file except in compliance with the
 * License. You can obtain a copy of the License at
 * http://www.netbeans.org/cddl-gplv2.html
 * or nbbuild/licenses/CDDL-GPL-2-CP. See the License for the
 * specific language governing permissions and limitations under the
 * License.  When distributing the software, include this License Header
 * Notice in each file and include the License file at
 * nbbuild/licenses/CDDL-GPL-2-CP.  Sun designates this
 * particular file as subject to the "Classpath" exception as provided
 * by Sun in the GPL Version 2 section of the License file that
 * accompanied this code. If applicable, add the following below the
 * License Header, with the fields enclosed by brackets [] replaced by
 * your own identifying information:
 * "Portions Copyrighted [year] [name of copyright owner]"
 *
 * Contributor(s):
 *
 * Portions Copyrighted 2010 Martin Rexa
 */

package cz.xelfi.quoridor.statistics;

import javax.xml.bind.annotation.XmlAttribute;
import java.util.Comparator;
/**
 *
 * @author Martin Rexa
 */
public class EloEntry {
    String player;
    double elo;
    int games;

    public static final Comparator<EloEntry> BEST_FIRST = new BestFirst();

    EloEntry(){
        super();
    }

    EloEntry(String player, double elo, int games){
        super();
        this.player = player;
        this.elo = elo;
        this.games = games;
    }

    @XmlAttribute
    public String getPlayer(){
        return player;
    }

    @XmlAttribute
    public Double getElo(){
        return elo;
    }

    @XmlAttribute
    public Integer getGames(){
        return games;
    }

    public String toString(){
        return "Player: " + player + ", ELO: " + elo + ", Games: " + games;
    }

    private static final class BestFirst implements Comparator<EloEntry> {
        public int compare(EloEntry e1, EloEntry e2) {
            if(e1.elo > e2.elo)
                return -1;
            else if(e1.elo < e2.elo)
                return 1;
            else return e1.player.compareTo(e2.player);
        }
    }

}
